sc::SCMatrixKit(3)

NAME
sc::SCMatrixKit - The SCMatrixKit abstract class acts as a factory for producing matrices.

SYNOPSIS

#include <abstract.h>

Inherits sc::DescribedClass.

Inherited by sc::BlockedSCMatrixKit, sc::DistSCMatrixKit, sc::LocalSCMatrixKit, and sc::ReplSCMatrixKit.

  Public Methods
SCMatrixKit ()
SCMatrixKit (const Ref< KeyVal > &)
~SCMatrixKit ()
Ref< MessageGrp > messagegrp () const
virtual SCMatrix * matrix (const RefSCDimension &, const RefSCDimension &)=0
Given the dimensions, create matrices or vectors.
virtual SymmSCMatrix * symmmatrix (const RefSCDimension &)=0
virtual DiagSCMatrix * diagmatrix (const RefSCDimension &)=0
virtual SCVector * vector (const RefSCDimension &)=0
SCMatrix * restore_matrix (StateIn &, const RefSCDimension &, const RefSCDimension &)
Given the dimensions and a StateIn object, restore matrices or vectors.
SymmSCMatrix * restore_symmmatrix (StateIn &, const RefSCDimension &)
DiagSCMatrix * restore_diagmatrix (StateIn &, const RefSCDimension &)
SCVector * restore_vector (StateIn &, const RefSCDimension &)

  Static Public Methods
SCMatrixKit * default_matrixkit ()
This returns a LocalSCMatrixKit, unless the default has been changed with set_default_matrixkit.
void set_default_matrixkit (const Ref< SCMatrixKit > &)

  Protected Attributes
Ref< MessageGrp > grp_

DETAILED DESCRIPTION

The SCMatrixKit abstract class acts as a factory for producing matrices.

By using one of these, the program makes sure that all of the matrices are consistent.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.